0 Daumen
43 Aufrufe

Bisher konnte man in Unity3D Szenen mit Application.LoadLevel (level_id); laden. Ich bekomme jetzt folgende Fehlermeldung

warning CS0618: `UnityEngine.Application.LoadLevel(int)' is obsolete

Wie kann man dieses Problem beheben?

Gefragt von

1 Antwort

+1 Punkt
 
Beste Antwort

Seit Unity 5.3 gibt es diese Funktion Application.LoadLevel (level_id); nicht mehr. Hierzu verwendet man nun:

SceneManager.LoadScene(level_id);

Diese Funktion benötigt zusätzlich den Import

using UnityEngine.SceneManagement;

Um keine statischen Level-IDs angeben zu müssen, kannst Du folgende Vorgehensweise wählen.

Beantwortet von 7,8 k

Ein anderes Problem?

Stell deine Frage

Ähnliche Fragen

0 Daumen
1 Antwort
Gefragt 19 Mär von Gast
0 Daumen
1 Antwort
Gefragt 17 Mär von Gast

Willkommen bei der Stacklounge! Stell deine Frage sofort und kostenfrei

x
Made by a lovely community
...